package com.bonus.canteen.core.supply.purchase.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.bonus.canteen.core.supply.purchase.domain.bo.DrpInquiryDetail;
import com.bonus.canteen.core.supply.purchase.domain.param.DrpFinalBidsDTO;
import com.bonus.canteen.core.supply.purchase.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DrpPurchaseInquiryDetailMapper extends BaseMapper<DrpInquiryDetail> {
   List<DrpQuoteDetailPageVO> selectByInquirySupplierId(Long inquirySupplierId);

   List<DrpFinalBidsQuotePageVO> selectByDrpFinalBidsDTO(@Param("content") DrpFinalBidsDTO content);

   List<DrpExcelInquiryDetailVO> listExcelDetail(@Param("inquiryId") String inquiryId, @Param("bidSupplierId") Long bidSupplierId);

   List<DrpInquiryDetailPageVO> selectByInquiryId(@Param("inquiryId") String inquiryId, @Param("bidSupplierId") Long bidSupplierId);

   List<DrpInquiryDetailPageVO> selectByInquiryIdPage(@Param("bidSupplierIdList") List<Long> bidSupplierIdList);

   List<DrpExcelFinalBidsDetailVO> listExcelFinalBidsDetail(@Param("inquiryId") String inquiryId, @Param("inquirySupplierId") Long inquirySupplierId);

   List<DrpInquiryDetailPageVO> selectDetailListByInquiryId(@Param("inquiryId") String inquiryId);
}
